## org.eclipse.ocl.expressions
Interface CollectionLiteralPart<C>

All Superinterfaces:
  EObject, Notifier, TypedElement<C>, Visitable

All Known Subinterfaces:
  CollectionItem<C>, CollectionItem, CollectionLiteralPart, CollectionRange<C>, CollectionRange

All Known Implementing Classes:
  CollectionItemImpl, CollectionItemImpl, CollectionLiteralPartImpl, CollectionLiteralPartImpl, CollectionRangeImpl, CollectionRangeImpl

    public interface CollectionLiteralPart<C>

extends TypedElement<C>, Visitable

A representation of the model object 'Collection Literal Part'.

See Also:
  `ExpressionsPackage.getCollectionLiteralPart()`

Method Summary

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.